﻿using Microsoft.AspNetCore.Components;
using Npgsql;
using System.Data;
using WF_WebAdmin.Model;
using System.Collections.Generic;
using System;
using System.Threading.Tasks;
using System.Linq;

namespace WF_WebAdmin.Pages
{
    public partial class ValidQuote
    {
        private Quote[] quotes;


        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }

        protected override async Task OnInitializedAsync()
        {
            quotes = await Http.GetFromJsonAsync<Quote[]>($"{NavigationManager.BaseUri}fake-dataValidQuote.json");
        }

        private void OnValidButton(Quote quote)
        {
            ValidateQuote(quote);
        }

        private void ValidateQuote(Quote quote)
        {
            Console.WriteLine($"Quote {quote.Id} validated!");
        }

        private void OnRejectButton(Quote quote)
        {
            RejectQuote(quote);
        }

        private void RejectQuote(Quote quote)
        {
            Console.WriteLine($"Quote {quote.Id} rejected!");
        }
    }

}
